/****************************************************************************
 *   $Id:: demo.h 3632 2010-06-01 22:54:42Z usb00423                        $
 *   Project: NXP LPC13xx USB HID ROM version example
 *
 *   Description:
 *     This file contains USB HID code header definition.
 *
 ****************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * NXP Semiconductors assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. NXP Semiconductors
 * reserves the right to make changes in the software without
 * notification. NXP Semiconductors also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
****************************************************************************/
#ifndef __DEMO_H__
#define __DEMO_H__

/* Push Button Definitions */
#define PBINT  0x00000400  /* P2.10 */

/* LED Definitions */
#define LEDMSK 0x000000FF  /* P2.0..7 */

/* HID Demo Variables */
extern uint8_t InReport;
extern uint8_t OutReport;

/* HID Demo Functions */
extern void GetInReport  (uint8_t src[], uint32_t length);
extern void SetOutReport (uint8_t dst[], uint32_t length);

#endif  /* __DEMO_H__ */
