/****************************************************************************
 *   $Id:: wdttest.c 3632 2010-06-01 22:54:42Z usb00423                     $
 *   Project: NXP LPC13xx WDT example
 *
 *   Description:
 *     This file contains WDT test modules, main entry, to test WDT APIs.
 *
 ****************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * NXP Semiconductors assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. NXP Semiconductors
 * reserves the right to make changes in the software without
 * notification. NXP Semiconductors also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
****************************************************************************/
#include "LPC13xx.h"			/* LPC13xx Peripheral Registers */
#include "timer16.h"
#include "clkconfig.h"
#include "wdt.h"

extern volatile uint32_t timer16_0_counter;
volatile uint32_t feed_counter = 0;

/*****************************************************************************
**   Main Function  main()
******************************************************************************/
int main (void)
{
  SystemInit();
  
  /* Config WDT clock */
  WDT_CLK_Setup(WDTCLK_SRC_MAIN_CLK);
   
  /*** The main Function is an endless loop ****/
  init_timer16( 0, TIME_INTERVALmS * 10 );
    
  WDTInit();
  enable_timer16( 0 );

  while( 1 ) 
  {
	if ( timer16_0_counter > 0 ) // Every 10ms
	{
	  /* Feed the watchdog timer */
	  feed_counter++;
	  WDTFeed();
	  timer16_0_counter = 0;
	}
  }
}

/*********************************************************************************
**                            End Of File
*********************************************************************************/
